Skip to main content
POST
/
v3
/
evals
/
experiments
/
{experiment_id}
/
results
Upload experiment results
curl --request POST \
  --url https://{host}/v3/evals/experiments/{experiment_id}/results \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "results": [
    {
      "experiment_item": {
        "dataset_item_id": "<string>",
        "outputs": {},
        "duration_ms": 123,
        "timestamp": "2023-11-07T05:31:56Z",
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "error_reason": "<string>",
        "error_message": "<string>"
      },
      "scores": [
        {
          "evaluator_name": "<string>",
          "name": "<string>",
          "value": 123,
          "label": "<string>",
          "reasoning": "<string>",
          "error_reason": "<string>",
          "error_message": "<string>"
        }
      ]
    }
  ]
}
'
{
  "api_version": "3.0",
  "kind": "NORMAL"
}

Documentation Index

Fetch the complete documentation index at: https://handbook.fiddler.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

experiment_id
string<uuid>
required

Path parameter for unique identifier of an experiment

Body

application/json

Request body for uploading a batch of experiment results.

results
Experiment Result Payload · object[]
required

Array of experiment results.

Response

Experiment results uploaded successfully.

Response object for standard API responses.

api_version
enum<string>
default:3.0

API version.

Available options:
2.0,
3.0
kind
enum<string>
default:NORMAL

Type of response, indicating a normal response.

Available options:
NORMAL